part of masamune.form;

abstract class UIPageChangeEmail extends PageHookWidget {
  const UIPageChangeEmail();

  String? emailBuilder(BuildContext context);

  bool onSubmit(BuildContext context, FormContext form);

  @override
  Widget build(BuildContext context) {
    final form = useForm();
    final focusNode = useAutoFocusNode();
    final email = emailBuilder(context);

    return Scaffold(
      appBar: AppBar(
        title: Text(
          "Change Email".localize(),
        ),
      ),
      body: ChangeEmailForm(
        key: form.key,
        defaultEmail: email ?? "",
        focusNode: focusNode,
      ),
      floatingActionButton: FloatingActionButton(
        child: const Icon(Icons.check),
        onPressed: () {
          if (!form.validate()) {
            return;
          }
          if (onSubmit(context, form)) {
            UIDialog.show(
              context,
              title: "Success".localize(),
              text:
                  "%s is completed.".localize().format(["Editing".localize()]),
              submitText: "OK".localize(),
              onSubmit: () {
                context.navigator.pop();
              },
            );
          } else {
            UIDialog.show(
              context,
              title: "Success".localize(),
              text: "%s is not completed."
                  .localize()
                  .format(["Editing".localize()]),
              submitText: "OK".localize(),
              onSubmit: () {
                context.navigator.pop();
              },
            );
          }
        },
      ),
    );
  }
}
